Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLModelEffect

    java.lang.Object
      codeanticode.glgraphics.GLModelEffect

All Implemented Interfaces:
  processing.core.PConstants

    public class GLModelEffect

extends java.lang.Object
implements processing.core.PConstants

Field Summary

Fields inherited from interface processing.core.PConstants
`A, AB, ADD, AG, ALPHA, ALPHA_MASK, ALT, AMBIENT, AR, ARC, ARGB, ARROW, B, BACKSPACE, BASELINE, BEEN_LIT, BEVEL, BLEND, BLUE_MASK, BLUR, BOTTOM, BOX, BURN, CENTER, CENTER_DIAMETER, CENTER_RADIUS, CHATTER, CLOSE, CMYK, CODED, COMPLAINT, CONTROL, CORNER, CORNERS, CROSS, CUSTOM, DA, DARKEST, DB, DEG_TO_RAD, DELETE, DG, DIAMETER, DIFFERENCE, DILATE, DIRECTIONAL, DISABLE_ACCURATE_TEXTURES, DISABLE_DEPTH_SORT, DISABLE_DEPTH_TEST, DISABLE_OPENGL_2X_SMOOTH, DISABLE_OPENGL_ERROR_REPORT, DODGE, DOWN, DR, DXF, EB, EDGE, EG, ELLIPSE, ENABLE_ACCURATE_TEXTURES, ENABLE_DEPTH_SORT, ENABLE_DEPTH_TEST, ENABLE_NATIVE_FONTS, ENABLE_OPENGL_2X_SMOOTH, ENABLE_OPENGL_4X_SMOOTH, ENABLE_OPENGL_ERROR_REPORT, ENTER, EPSILON, ER, ERODE, ERROR_BACKGROUND_IMAGE_FORMAT, ERROR_BACKGROUND_IMAGE_SIZE, ERROR_PUSHMATRIX_OVERFLOW, ERROR_PUSHMATRIX_UNDERFLOW, ERROR_TEXTFONT_NULL_PFONT, ESC, EXCLUSION, G, GIF, GRAY, GREEN_MASK, HALF_PI, HAND, HARD_LIGHT, HINT_COUNT, HSB, IMAGE, INVERT, JAVA2D, JPEG, LEFT, LIGHTEST, LINE, LINES, LINUX, MACOSX, MAX_FLOAT, MAX_INT, MIN_FLOAT, MIN_INT, MITER, MODEL, MOVE, MULTIPLY, NORMAL, NORMALIZED, NX, NY, NZ, OPAQUE, OPEN, OPENGL, ORTHOGRAPHIC, OTHER, OVERLAY, P2D, P3D, PATH, PDF, PERSPECTIVE, PI, platformNames, POINT, POINTS, POLYGON, POSTERIZE, PROBLEM, PROJECT, QUAD, QUAD_STRIP, QUADS, QUARTER_PI, R, RAD_TO_DEG, RADIUS, RECT, RED_MASK, REPLACE, RETURN, RGB, RIGHT, ROUND, SA, SB, SCREEN, SG, SHAPE, SHIFT, SHINE, SOFT_LIGHT, SPB, SPG, SPHERE, SPOT, SPR, SQUARE, SR, SUBTRACT, SW, TAB, TARGA, TEXT, THIRD_PI, THRESHOLD, TIFF, TOP, TRIANGLE, TRIANGLE_FAN, TRIANGLE_STRIP, TRIANGLES, TWO_PI, TX, TY, TZ, U, UP, V, VERTEX_FIELD_COUNT, VW, VX, VY, VZ, WAIT, WHITESPACE, WINDOWS, X, Y, Z`

Constructor Summary
`GLModelEffect()` Default constructor.
`GLModelEffect(processing.core.PApplet parent, java.lang.String filename)`
`GLModelEffect(processing.core.PApplet parent, java.net.URL url)` Creates an instance of GLTextureFilter, loading the filter from a URL.

Method Summary
`void` | `apply(GLModel model)`
`void` | `apply(GLModel[] models)`
`void` | `disableVertexAttribs()`
`void` | `enableVertexAttribs()`
`java.lang.String` | `getDescription()` Returns the description of the filter.
`GLModelEffectParameter` | `getParameter(int i)` Returns the i-th parameter.
`GLModelEffectParameter` | `getParameter(java.lang.String paramName)` Returns the parameter with the provided name.
`int` | `getParameterCount()` Get number of parameters.
`java.lang.String` | `getParameterLabel(int i)` Returns the label of the i-th parameter.
`java.lang.String` | `getParameterName(int i)` Returns the name of the i-th parameter.
`int` | `getParameterType(int i)` Returns the type of the i-th parameter.
`void` | `setParameterValue(int n, float value)` Sets the parameter value when the type is float.
`void` | `setParameterValue(int n, float[] value)` Sets the parameter value for any type.
`void` | `setParameterValue(int n, int value)` Sets the parameter value when the type is int.
`void` | `setParameterValue(int n, int i, float value)` Sets the ith value for the parameter (only valid for vec or mat types).
`void` | `setParameterValue(int n, int i, int j, float value)` Sets the (ith, jth) value for the parameter (only valid for mat types).
`void` | `setParameterValue(java.lang.String paramName, float value)` Sets the parameter value when the type is float.
`void` | `setParameterValue(java.lang.String paramName, float[] value)` Sets the parameter value for any type.
`void` | `setParameterValue(java.lang.String paramName, int value)` Sets the parameter value when the type is int.
`void` | `setParameterValue(java.lang.String paramName, int i, float value)` Sets the ith value for the parameter (only valid for vec or mat types).
`void` | `setParameterValue(java.lang.String paramName, int i, int j, float value)` Sets the (ith, jth) value for the parameter (only valid for mat types).
`void` | `setParameterValues(float[]... values)` Sets all the value for all the parameters, by means of a parameter list of variable length.
`void` | `setTextures(GLTexture[] textures)`
`void` | `setVertexAttribs(int[] attribVBO, java.lang.String[] attribName, int[] attribSize)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLModelEffect

    public GLModelEffect()

  Default constructor.

### GLModelEffect

    public GLModelEffect(processing.core.PApplet parent,
                         java.lang.String filename)

### GLModelEffect

    public GLModelEffect(processing.core.PApplet parent,
                         java.net.URL url)

  Creates an instance of GLTextureFilter, loading the filter from a URL.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the description of the filter.

  Returns:
    String

### apply

    public void apply(GLModel model)

### apply

    public void apply(GLModel[] models)

### start

    public void start()

### stop

    public void stop()

### setTextures

    public void setTextures(GLTexture[] textures)

### setVertexAttribs

    public void setVertexAttribs(int[] attribVBO,
                                 java.lang.String[] attribName,
                                 int[] attribSize)

### enableVertexAttribs

    public void enableVertexAttribs()

### disableVertexAttribs

    public void disableVertexAttribs()

### setParameterValue

    public void setParameterValue(java.lang.String paramName,
                                  int value)

  Sets the parameter value when the type is int.

  Parameters:
    `String` - paramName
    `int` - value

### setParameterValue

    public void setParameterValue(java.lang.String paramName,
                                  float value)

  Sets the parameter value when the type is float.

  Parameters:
    `String` - paramName
    `float` - value

### setParameterValue

    public void setParameterValue(java.lang.String paramName,
                                  float[] value)

  Sets the parameter value for any type. When the type is int or float, the first element of the value array is considered.

  Parameters:
    `String` - paramName
    `value` - float[]

### setParameterValue

    public void setParameterValue(java.lang.String paramName,
                                  int i,
                                  float value)

  Sets the ith value for the parameter (only valid for vec or mat types).

  Parameters:
    `String` - paramName
    `int` - i
    `value` - float

### setParameterValue

    public void setParameterValue(java.lang.String paramName,
                                  int i,
                                  int j,
                                  float value)

  Sets the (ith, jth) value for the parameter (only valid for mat types).

  Parameters:
    `String` - paramName
    `int` - i
    `int` - j
    `value` - float

### setParameterValues

    public void setParameterValues(float[]... values)

  Sets all the value for all the parameters, by means of a parameter list of variable length. values is an array of float[].

  Parameters:
    `float[]` - values

### getParameterCount

    public int getParameterCount()

  Get number of parameters.

  Returns:
    int

### getParameterType

    public int getParameterType(int i)

  Returns the type of the i-th parameter.

  Returns:
    int

### getParameterName

    public java.lang.String getParameterName(int i)

  Returns the name of the i-th parameter.

  Returns:
    String

### getParameterLabel

    public java.lang.String getParameterLabel(int i)

  Returns the label of the i-th parameter.

  Returns:
    String

### getParameter

    public GLModelEffectParameter getParameter(int i)

  Returns the i-th parameter.

  Returns:
    GLModelEffectParameter

### setParameterValue

    public void setParameterValue(int n,
                                  int value)

  Sets the parameter value when the type is int.

  Parameters:
    `int` - n
    `int` - value

### setParameterValue

    public void setParameterValue(int n,
                                  float value)

  Sets the parameter value when the type is float.

  Parameters:
    `int` - n
    `float` - value

### setParameterValue

    public void setParameterValue(int n,
                                  float[] value)

  Sets the parameter value for any type. When the type is int or float, the first element of the value array is considered.

  Parameters:
    `int` - n
    `value` - float[]

### setParameterValue

    public void setParameterValue(int n,
                                  int i,
                                  float value)

  Sets the ith value for the parameter (only valid for vec or mat types).

  Parameters:
    `int` - n
    `int` - i
    `value` - float

### setParameterValue

    public void setParameterValue(int n,
                                  int i,
                                  int j,
                                  float value)

  Sets the (ith, jth) value for the parameter (only valid for mat types).

  Parameters:
    `int` - n
    `int` - i
    `int` - j
    `value` - float

### getParameter

    public GLModelEffectParameter getParameter(java.lang.String paramName)

  Returns the parameter with the provided name.

  Returns:
    GLModelEffectParameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008